#include <iostream>
#include <iomanip>
#include <cmath>
using namespace std;

int main()
{
    int N,n,c,d,e,xi,yi,p,a,g,n1,r,t;
    cin>>N;
    n=0;
    p=1;
    c=yi,d=yi;
    e=xi,g=xi;
    r=c-d;t=e-g;
    for(int i=1; i<=N; i++)
        {
            cin>>xi>>yi;
        }
    for(int j=1; j<=N; j++)
        {
            p*=j;
        }
    a=p/24;
    for(int k=0; k<=a; k++)
        {
            if((((abs(r)))==(abs(yi-yi)))&&((abs(t))== 2*(abs(xi-xi))))
                n++;
        }
    if(n%2!=0)
        n1=(n/2)+1;
    else
        n1=n/2;
    cout << n1 << endl;
    return 0;
}